{
  "compileOnSave": false,
  "compilerOptions": {
    "sourceMap": true,
    "noImplicitAny": true,
    "module": "esnext",
    "target": "es5",
    "lib": [
      "esnext",
      "dom"
    ],
    "removeComments": true, // NO need for webpackChunkName
    "allowSyntheticDefaultImports": false,
    "allowJs": true,
    "baseUrl": "./",
    "esModuleInterop": true,
    "resolveJsonModule": true,
    "moduleResolution": "node",
    "downlevelIteration": true,
    "paths": {
      "assets/*": [
        "./assets/*"
      ],
      "src/*": [
        "./src/*"
      ]
    },
    "checkJs": false,
    "declaration": false,
    "emitDecoratorMetadata": false,
    "experimentalDecorators": false,
    "forceConsistentCasingInFileNames": true,
    "keyofStringsOnly": false,
    "newLine": "LF",
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "outDir": "./build",
    "preserveConstEnums": true,
    "pretty": true,
    "strict": true,
    "strictNullChecks": true,
    "skipLibCheck": true,
    "suppressImplicitAnyIndexErrors": true
  },
  "include": [
    "./node_modules/@types/**/*",
    "@types.d.ts",
    "./src/**/*"
  ],
  "exclude": [
    "./dist",
    "./build",
    "./config",
    "node_modules"
  ]
}
